=== debian/changelog ===
axiom (20140801-11) unstable; urgency=medium

  * fix FTBFS ppc64, patch to avoid overflow of BSD sockaddr sa_data in
    make_server_name
  * build-dep latest gcl
  * Bug fix: "FTBFS on mips", thanks to Sebastian Ramacher (Closes:
    #756793).  autobuild with latest tools on mips works.
  * Bug fix: "naive methods of exiting axiom can blow up
    catastrophically", thanks to Tom Hargreaves (Closes: #346552).
  * Bug fix: "&quot;backspace&quot; key doesn&#39;t work as expected",
    thanks to Edi Meier (Closes: #708733). Command line editing in
    terminal now has a conventionally functioning Backspace

 -- Camm Maguire <camm@debian.org>  Wed, 21 Oct 2015 15:44:33 +0000

axiom (20140801-10) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 07 Oct 2015 21:11:28 +0000

axiom (20140801-9) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 27 Sep 2015 08:25:40 -0400

axiom (20140801-8) unstable; urgency=medium

  * skip-init-memory-config

 -- Camm Maguire <camm@debian.org>  Wed, 27 May 2015 01:26:54 +0000

axiom (20140801-7) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 30 Apr 2015 22:04:32 -0400

axiom (20140801-6) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 24 Oct 2014 10:41:57 -0400

axiom (20140801-5) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Sun, 07 Sep 2014 15:45:52 -0400

axiom (20140801-4) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Thu, 21 Aug 2014 02:33:42 +0000

axiom (20140801-3) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 19 Aug 2014 22:32:55 +0000

axiom (20140801-2) unstable; urgency=medium

  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Aug 2014 14:07:54 +0000

axiom (20140801-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Tue, 05 Aug 2014 17:44:17 +0000

axiom (20120501-18) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "cannot use prelink on AXIOMsys binary", thanks to Laurent
    Bonnaud (Closes: #262890).
  * lintain cleanups

 -- Camm Maguire <camm@debian.org>  Fri, 25 Jul 2014 02:37:58 +0000

axiom (20120501-17) unstable; urgency=high

  * rebuild against latest gcl
  * Bug fix: "[axiom] Some sources are not included in your package",
    thanks to Bastien ROUCARIES (Closes: #752221).
  * Bug fix: "3D plots fail saying: &quot;The viewport manager could not
    read from a 3D viewport window&quot;", thanks to Jason Quinn (Closes:
    #712844).
  * Bug fix: "CVE-2014-1640: tmp file vulnerability", thanks to Helmut
    Grohne (Closes: #736358).
  * Bug fix: "ackermann.input from axiom-test breaks", thanks to Edi Meier
    (Closes: #708999).

 -- Camm Maguire <camm@debian.org>  Wed, 16 Jul 2014 19:20:13 +0000

axiom (20120501-16) unstable; urgency=high

  * build-depend on binutils-dev

 -- Camm Maguire <camm@debian.org>  Thu, 03 Jul 2014 14:25:15 +0000

axiom (20120501-15) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 30 Jun 2014 14:00:25 +0000

axiom (20120501-14) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 15 Nov 2013 10:11:34 +0000

axiom (20120501-13) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Wed, 16 Oct 2013 13:27:34 +0000

axiom (20120501-12) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Sat, 12 Oct 2013 01:54:25 +0000

axiom (20120501-11) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 23 Sep 2013 16:56:24 +0000

axiom (20120501-10) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 06 Aug 2013 18:11:25 +0000

axiom (20120501-9) unstable; urgency=low

  * rebuild against latest gcl

 -- Camm Maguire <camm@debian.org>  Fri, 02 Aug 2013 17:09:26 +0000
