## axiom 20170401

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION:="Axiom (August 2014)"
+VERSION:="Axiom (May 2016)"
 
 ##### special paths
 SPD:=$(shell pwd)
@@ -10,12 +10,13 @@
 TMP:=${OBJ}/tmp
 ZIPS:=${SPD}/zips
 BOOKS:=${SPD}/books
-SPAD:=${SPD}/mnt/${SYS}
-SRCDIRS:="interpdir sharedir algebradir etcdir clefdir docdir \
+SRCDIRS:="interpdir sharedir algebradir etcdir docdir \
           graphdir smandir hyperdir browserdir inputdir"
 
 SYS:=$(notdir $(AXIOM))
 DAASE:=${SRC}/share
+PROOFS:=${OBJ}/${SYS}/proofs
+SPAD:=${SPD}/mnt/${SYS}
 
 SPADBIN:=${MNT}/${SYS}/bin
 DOCUMENT:=${SPADBIN}/document
@@ -32,6 +33,17 @@
 TAR:=tar
 TOUCH:=touch
 UNCOMPRESS:=gunzip
+
+####K C Related variables
+PLF=${SYS}platform
+CCF="-O2 -fno-strength-reduce -D_GNU_SOURCE -D${PLF} \
+     -I/usr/X11/include \
+     -Wno-absolute-value -std=gnu89 -w" 
+INC:=${SPD}/src/include
+CC:=gcc
+XLIB:=/usr/X11R6/lib
+LDF="-L/usr/X11/lib -L/usr/X11R6/lib64 -L/usr/local/lib64 -L/usr/openwin/lib64 -L/usr/lib64 "
+O:=o
 
 ##### lisp related variables
 BYE:=bye
@@ -50,21 +62,15 @@
 #GCLVERSION=gcl-2.6.8pre2
 #GCLVERSION=gcl-2.6.8pre3 
 #GCLVERSION=gcl-2.6.8pre4
-GCLVERSION=gcl-2.6.8pre7
+#GCLVERSION=gcl-2.6.8pre7
 #GCLVERSION=gcl-cygwin
+#GCLVERSION=gcl-2.6.9
+#GCLVERSION=gcl-2.6.10
+#GCLVERSION=gcl-2.6.11
+GCLVERSION=gcl-2.6.12
 GCLDIR:=${LSP}/${GCLVERSION}
-GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig" 
+GCLOPTS="--enable-vssize=65536*2 --disable-xgcl --disable-tkconfig"
 LISP:=lsp
-
-##### C related variables
-INC:=${SPD}/src/include
-PLF:=LINUXplatform
-CCF:="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
-CC:=gcc
-XLIB:=/usr/X11R6/lib
-#LDF:=" -L/usr/X11R6/lib -L/usr/lib ${XLIB}/libXpm.a -lXpm"
-LDF:=" -L/usr/X11R6/lib -L/usr/lib  -lXpm"
-O:=o
 
 ##### command line control
 NOISE:="-o ${TMP}/trace"
@@ -75,9 +81,12 @@
 # alltests, notests
 TESTSET:=notests
 BUILD:=full
+ACL2:=
+COQ:=
 
 
 ENV:= \
+ACL2=${ACL2} \
 AWK=${AWK} \
 BOOKS=${BOOKS} \
 BUILD=${BUILD} \
@@ -85,6 +94,7 @@
 CC=${CC} \
 CCF=${CCF} \
 COMMAND=${COMMAND} \
+COQ=${COQ} \
 DAASE=${DAASE} \
 DESTDIR=${DESTDIR} \
 DOCUMENT=${DOCUMENT} \
@@ -104,6 +114,7 @@
 PART=${PART} \
 PATCH=${PATCH} \
 PLF=${PLF} \
+PROOFS=${PROOFS} \
 RANLIB=${RANLIB} \
 RUNTYPE=${RUNTYPE} \
 SPAD=${SPAD} \
@@ -124,12 +135,12 @@
 XLIB=${XLIB} \
 ZIPS=${ZIPS} 
 
-all: rootdirs tanglec ${MNT}/${SYS}/bin/document
+all: rootdirs axiom.sty tanglec libspad
 	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 2 Environment ${ENV}
 	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
-	@ cp books/dvipdfm.def ${MNT}/${SYS}/doc
-	@ cp books/changepage.sty ${MNT}/${SYS}/doc
+	@ cp ${BOOKS}/dvipdfm.def ${MNT}/${SYS}/doc
+	@ cp ${BOOKS}/changepage.sty ${MNT}/${SYS}/doc
 	@ ${EXTRACT} Makefile.pamphlet
 	@ cp Makefile.pdf ${MNT}/${SYS}/doc/src/root.Makefile.pdf
 	@ if [ "${RUNTYPE}" = "parallel" ] ; then \
@@ -138,9 +149,9 @@
 	  else \
            if [ "${BUILD}" = "full" ] ; then \
 	   ( echo s4 starting serial make of input files ; \
-	     mkdir -p ${MNT}/${SYS}/doc/src/input ; \
              cd ${MNT}/${SYS}/doc/src/input ; \
 	     cp ${BOOKS}/axiom.sty . ; \
+             cp ${SRC}/input/*.eps . ; \
 	     for i in `ls ${SRC}/input/*.input.pamphlet` ; do \
 	      if [ .${NOISE} = . ] ; \
 	      then \
@@ -179,20 +190,54 @@
 	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
 	@ echo 3 finished system build on `date` | tee >lastBuildDate
 
+libspad: 
+	@ echo 11a making libspad
+	@ ( cd ${OBJ}/${SYS}/lib ; \
+	    ${BOOKS}/tanglec ${BOOKS}/bookvol8.pamphlet Makefile >Makefile ; \
+            ${ENV} ${MAKE} libspad.a )
+
+axiom.sty:
+	@ echo 11c copying books/axiom.sty
+	@ cp ${BOOKS}/axiom.sty .
+
 rootdirs:
 	@ echo 11 checking directory structure
-	@ mkdir -p ${TMP}
-	@ mkdir -p ${INT}/doc/lsp
-	@ mkdir -p ${INT}/doc/src
-	@ mkdir -p ${OBJ}/${SYS}
-	@ mkdir -p ${MNT}/${SYS}/bin/lib
-	@ mkdir -p ${MNT}/${SYS}/doc/src
+	 mkdir -p ${TMP}
+	 mkdir -p ${INT}/algebra
+	 mkdir -p ${INT}/hyper
+	 mkdir -p ${INT}/input
+	 mkdir -p ${INT}/interp
+	 mkdir -p ${INT}/sman
+	 mkdir -p ${OBJ}/${SYS}/bin
+	 mkdir -p ${OBJ}/${SYS}/etc
+	 mkdir -p ${OBJ}/${SYS}/graph
+	 mkdir -p ${OBJ}/${SYS}/hyper/pages
+	 mkdir -p ${OBJ}/${SYS}/interp
+	 mkdir -p ${OBJ}/${SYS}/lib
+	 mkdir -p ${OBJ}/${SYS}/sman
+	 mkdir -p ${OBJ}/${SYS}/proofs
+	 mkdir -p ${MNT}/doc
+	 mkdir -p ${MNT}/${SYS}/algebra
+	 mkdir -p ${MNT}/${SYS}/src/algebra
+	 mkdir -p ${MNT}/${SYS}/autoload
+	 mkdir -p ${MNT}/${SYS}/bin
+	 mkdir -p ${MNT}/${SYS}/doc/axbook
+	 mkdir -p ${MNT}/${SYS}/doc/bitmaps
+	 mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
+	 mkdir -p ${MNT}/${SYS}/doc/msgs
+	 mkdir -p ${MNT}/${SYS}/doc/ps
+	 mkdir -p ${MNT}/${SYS}/doc/cookbook
+	 mkdir -p ${MNT}/${SYS}/doc/spadhelp
+	 mkdir -p ${MNT}/${SYS}/doc/src/input
+	 mkdir -p ${MNT}/${SYS}/graph/parabola.view
+	 mkdir -p ${MNT}/${SYS}/input
+	 mkdir -p ${MNT}/${SYS}/lib/graph
+	 mkdir -p ${MNT}/${SYS}/lib/scripts
 
 input:
 	@ echo p9 making input documents
 	@ if [ "${BUILD}" = "full" ] ; then \
-	  ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
-            cd ${MNT}/${SYS}/doc/src/input ; \
+	  ( cd ${MNT}/${SYS}/doc/src/input ; \
 	    cp ${BOOKS}/axiom.sty . ; \
 	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
               do latex $$i ; \
@@ -206,8 +251,6 @@
 
 book:
 	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
-	@ mkdir -p ${TMP}
-	@ mkdir -p ${MNT}/${SYS}/doc
 	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
 	@ cp -pr ${SRC}/doc/ps ${MNT}/${SYS}/doc
 	@ (cd ${MNT}/${SYS}/doc ; \
@@ -228,11 +271,6 @@
 tanglec: books/tanglec.c
 	@echo t01 making tanglec from books/tanglec.c
 	@( cd books ; gcc -o tanglec tanglec.c )
-
-${MNT}/${SYS}/bin/document:
-	@echo 0 ${ENV}
-	@echo 10 copying ${SRC}/scripts to ${MNT}/${SYS}/bin
-	@cp -pr ${SRC}/scripts/* ${MNT}/${SYS}/bin
 
 install:
 	@echo 78 installing Axiom in ${DESTDIR}
@@ -252,7 +290,7 @@
 	@echo 
 
 
-document: ${MNT}/${SYS}/bin/document
+document: 
 	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 5 Environment ${ENV}
 	@ ${BOOKS}/tanglec Makefile.pamphlet "Makefile.${SYS}" >Makefile.${SYS}
@@ -262,42 +300,44 @@
 clean: 
 	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
 	@ echo 8 Environment ${ENV}
+	@ rm -f axiom.sty
+	@ rm -f Makefile.pdf
+	@ rm -f Makefile.dvi
+	@ rm -f Makefile.${SYS}
+	@ rm -f books/Makefile
+	@ rm -f books/Makefile.dvi
+	@ rm -f books/Makefile.pdf
+	@ rm -f books/axiom.bib
+	@ rm -f lsp/axiom.sty
+	@ rm -f lsp/Makefile lsp/Makefile.dvi lsp/Makefile.pdf
+	@ rm -rf lsp/gcl*
+	@ rm -f src/axiom.sty
+	@ rm -f src/Makefile
+	@ rm -f src/Makefile.dvi
+	@ rm -f src/Makefile.pdf
 	@ rm -f src/algebra/book*pamphlet
 	@ rm -f src/algebra/*.spad
+	@ rm -f src/algebra/Makefile
+	@ rm -f src/etc/axiom.sty
+	@ rm -f src/etc/Makefile src/etc/Makefile.dvi src/etc/Makefile.pdf
 	@ rm -f src/interp/book*pamphlet
-	@ rm -f axiom.sty
-	@ rm -f books/Makefile
-	@ rm -f books/Makefile.dvi
-	@ rm -f src/algebra/axiom.sty
-	@ rm -f lsp/axiom.sty
-	@ rm -f src/axiom.sty
-	@ rm -f src/clef/axiom.sty
-	@ rm -f src/etc/axiom.sty
-	@ rm -f src/doc/axiom.sty
-	@ rm -f src/lib/axiom.sty
+	@ rm -f src/interp/axiom.sty
+	@ rm -f src/input/axiom.sty
 	@ rm -f src/share/axiom.sty
-	@ rm -f src/scripts/axiom.sty
-	@ rm -f src/input/axiom.sty
-	@ rm -f src/interp/axiom.sty
-	@ rm -f lsp/Makefile.dvi
-	@ rm -f lsp/Makefile
-	@ rm -rf lsp/gcl*
-	@ rm -f trace
-	@ rm -f Makefile.${SYS}
-	@ rm -f Makefile.dvi
+	@ rm -f src/share/Makefile src/share/Makefile.dvi 
+	@ rm -f src/share/Makefile.pdf
 	@ rm -rf int
 	@ rm -rf obj
 	@ rm -rf mnt
 	@ for i in `find . -name "*~"` ; do rm -f $$i ; done
-	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
-	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
 	@ rm -f lastBuildDate
 	@ rm -f books/tanglec
-	@ rm -f Makefile.pdf books/Makefile.pdf 
-	@ rm -f lsp/Makefile.pdf lsp/Makefile.pdf src/Makefile.pdf
-	@ rm -f src/algebra/Makefile.pdf src/clef/Makefile.pdf 
-	@ rm -f src/doc/Makefile.pdf
-	@ rm -f src/etc/Makefile.pdf src/input/Makefile.pdf 
-	@ rm -f src/interp/Makefile.pdf
-	@ rm -f src/scripts/Makefile.pdf src/share/Makefile.pdf
-
+	@ rm -f src/input/Makefile src/input/Makefile.dvi
+	@ rm -f src/input/Makefile.pdf 
+	@ rm -f src/interp/Makefile src/interp/Makefile.dvi
+	@ rm -f src/interp/Makefile.pdf 
+	@ rm -f src/share/Makefile src/share/Makefile.dvi
+	@ rm -f src/share/Makefile.pdf 
+	@ rm -f Makefile.aux
+	@ rm -f Makefile.log
+
