=== debian/changelog ===
axiom (20170401-2) unstable; urgency=medium

  * build-dep latest gcl
  * qsmulmod32 calls patch
  * Bug fix: "axiom FTBFS in unstable: cp: cannot stat
    &#39;/build/1st/axiom-20170401/int/algebra/BASTYPE.nrlib/code.o&#39;:
    No such file or directory", thanks to Adrian Bunk (Closes: #864434).

 -- Camm Maguire <camm@debian.org>  Thu, 24 Aug 2017 11:05:11 +0000

axiom (20170401-1) unstable; urgency=medium

  * New upstream release

 -- Camm Maguire <camm@debian.org>  Wed, 10 May 2017 14:46:03 +0000

axiom (20140801-12) unstable; urgency=medium

  * build dep against latest gcl
  * Bug fix: "FTBFS on arm64, mips64el and mipsel", thanks to Emilio
    Pozuelo Monfort (Closes: #840639).

 -- Camm Maguire <camm@debian.org>  Thu, 13 Oct 2016 19:29:19 +0000
