=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Camm Maguire <camm@debian.org>
-Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-25 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
-Standards-Version: 3.9.6
+Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.12-54 ), libgmp3-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev, texlive-pstricks, tex-common, texlive-fonts-extra
+Standards-Version: 3.9.8
 
 Package: axiom
 Architecture: any
