=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,10 @@
 #	touch $@
 	echo foo > $@
 
-configure: configure-stamp
+debian/Makefile: Makefile
+	cp $< $@
+
+configure: debian/Makefile configure-stamp
 configure-stamp:
 	dh_testdir
 
@@ -145,6 +148,7 @@
 	rm -f src/interp/Makefile.pamphlet.new debian/test_results
 	rm -f libdb.text src/algebra/Makefile.help
 	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
+	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	dh_clean 
 
 debian/axiom.install: 
@@ -177,5 +181,3 @@
 #	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
 	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@
 
-debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
-	find mnt/linux/doc/* -maxdepth 0 | \
