=== debian/changelog ===
axiom (20170501-6) unstable; urgency=high

  * Build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Mon, 24 Aug 2020 02:34:55 +0000

axiom (20170501-5) unstable; urgency=high

  * Bug fix: "ftbfs with GCC-10", thanks to Matthias Klose (Closes:
    #957030).

 -- Camm Maguire <camm@debian.org>  Tue, 18 Aug 2020 20:17:43 +0000

axiom (20170501-4) unstable; urgency=high

  * drop -perm constraint on axiom bin/* installs, 
  * Bug fix: "/usr/lib/axiom-20170401/bin missing when package is
    rebuilt", thanks to Juhani Numminen (Closes: #919649).
  * UseRawInputEncoding patch for newest TeX UTF-8 standards

 -- Camm Maguire <camm@debian.org>  Thu, 07 Feb 2019 19:37:25 +0000

axiom (20170501-3) unstable; urgency=medium

  * build-dep latest gcl
  * Bug fix: "Failed to reopen server: No such file or directory", thanks
    to r.ductor (Closes: #890776).

 -- Camm Maguire <camm@debian.org>  Thu, 22 Feb 2018 21:28:51 +0000

axiom (20170501-2) unstable; urgency=medium

  * bind_patch fixing ppc64 build

 -- Camm Maguire <camm@debian.org>  Tue, 05 Sep 2017 16:01:16 +0000

axiom (20170501-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "[src:axiom] Please purge zips subdirectory and repack",
    thanks to bastien ROUCARIES (Closes: #752222).

 -- Camm Maguire <camm@debian.org>  Thu, 31 Aug 2017 17:28:05 +0000

axiom (20170401-3) unstable; urgency=medium

  * fix axiom.install rules
  * build-dep latest gcl

 -- Camm Maguire <camm@debian.org>  Tue, 29 Aug 2017 11:41:33 +0000
