=== debian/rules ===
--- 
+++ 
@@ -64,11 +64,12 @@
 #	touch $@
 	echo foo > $@
 
-debian/Makefile: Makefile
-	cp $< $@
+debian/Makefile:
+	cp $(@F) $@
+	patch < debian/Makefile.patch
 
-configure: debian/Makefile configure-stamp
-configure-stamp:
+configure: configure-stamp
+configure-stamp: debian/Makefile
 	dh_testdir
 
 	touch configure-stamp
@@ -135,6 +136,7 @@
 	rm -f Makefile.linux
 	rm -f $(IFS)
 	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
+	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	find -mindepth 2 -name Makefile -exec rm {} \;
 	rm -f books/tangle.o
 	mv books/axiom.sty books/axiom.sty.ori
@@ -146,15 +148,14 @@
 	rm -f src/interp/bookvol5.pamphlet src/interp/bookvol9.pamphlet src/algebra/bookvol10.2.spad.pamphlet
 	rm -f src/algebra/bookvol10.4.spad.pamphlet src/algebra/bookvol10.3.spad.pamphlet 
 	rm -f src/interp/Makefile.pamphlet.new debian/test_results
-	rm -f libdb.text src/algebra/Makefile.help
+	rm -f libdb.text src/algebra/Makefile.help src/algebra/ELTAB.nrlib/ELTAB.data
 	rm -f src/interp/bookvol10.5.pamphlet src/algebra/*.spad src/lib/Makefile.pdf books/tangle1.lisp
-	! [ -e debian/Makefile ] || mv debian/Makefile ./
 	dh_clean 
 
 debian/axiom.install: 
 	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
-	find mnt/linux/bin/* -newer mnt/linux/bin/Makefile.pamphlet -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
+	find mnt/linux/bin/* -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | grep -v /gcl | grep -v html | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
 	echo debian/bin/axiom usr/bin >>$@
 	echo debian/axiom.1 usr/share/man/man1 >>$@
